Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.cache
Class MonitoredStore

    java.lang.Object
      com.servingxml.components.cache.MonitoredStore

All Implemented Interfaces:
  Store, ConfigurationListener

    public class MonitoredStore

extends java.lang.Object
implements Store, ConfigurationListener

Manages a list of cache entries.

Constructor Summary
`MonitoredStore(java.util.Properties properties)`

Method Summary
`void` | `add(CacheDictionary dictionary, java.lang.Object key, java.lang.Object data, Expirable expirable, RevalidationType revalidationType)`
`void` | `doShutDown()`
`void` | `doStartUp()`
`java.lang.Object` | `get(CacheDictionary dictionary, java.lang.Object key)`
`int` | `getCount()`
`protected void` | `remove(CacheEntry entry)`
`void` | `removeAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitoredStore

    public MonitoredStore(java.util.Properties properties)

Method Detail

### doStartUp

    public void doStartUp()

  Specified by:
    `doStartUp` in interface `Store`
  Specified by:
    `doStartUp` in interface `ConfigurationListener`

### doShutDown

    public void doShutDown()

  Specified by:
    `doShutDown` in interface `Store`
  Specified by:
    `doShutDown` in interface `ConfigurationListener`

### getCount

    public int getCount()

  Specified by:
    `getCount` in interface `Store`

### removeAll

    public void removeAll()

  Specified by:
    `removeAll` in interface `Store`

### get

    public java.lang.Object get(CacheDictionary dictionary,
                                java.lang.Object key)

  Specified by:
    `get` in interface `Store`

### remove

    protected void remove(CacheEntry entry)

### add

    public void add(CacheDictionary dictionary,
                    java.lang.Object key,
                    java.lang.Object data,
                    Expirable expirable,
                    RevalidationType revalidationType)

  Specified by:
    `add` in interface `Store`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD